Package org.fife.ui.rsyntaxtextarea

## Class RSyntaxTextAreaEditorKit.NextWordAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - org.fife.ui.rtextarea.RecordableTextAction
      - - org.fife.ui.rtextarea.RTextAreaEditorKit.NextWordAction
        - - org.fife.ui.rsyntaxtextarea.RSyntaxTextAreaEditorKit.NextWordAction

- All Implemented Interfaces:
    `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`
  Enclosing class:
    RSyntaxTextAreaEditorKit

      public static class RSyntaxTextAreaEditorKit.NextWordAction
      extends RTextAreaEditorKit.NextWordAction

  Action to move the selection and/or caret. Constructor indicates direction to use. This class overrides the behavior defined in `RTextAreaEditorKit` to better skip "words" in source code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NextWordAction​(String nm, boolean select)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `getNextWord​(RTextArea textArea, int offs)` | Overridden to do better with skipping "words" in code.

    - ### Methods inherited from class org.fife.ui.rtextarea.RTextAreaEditorKit.NextWordAction

      `actionPerformedImpl, getMacroID`

    - ### Methods inherited from class org.fife.ui.rtextarea.RecordableTextAction

      `actionPerformed, getAccelerator, getDescription, getIcon, getMnemonic, getName, isRecordable, setAccelerator, setMnemonic, setMnemonic, setName, setProperties, setRecordable, setShortDescription`

    - ### Methods inherited from class javax.swing.text.TextAction

      `augmentList, getFocusedComponent, getTextComponent`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.Action

      `accept`

- - ### Constructor Detail

    - #### NextWordAction

          public NextWordAction​(String nm,
                                boolean select)

  - ### Method Detail

    - #### getNextWord

          protected int getNextWord​(RTextArea textArea,
                                    int offs)
                             throws BadLocationException

      Overridden to do better with skipping "words" in code.
      Overrides:
        `getNextWord` in class `RTextAreaEditorKit.NextWordAction`
      Throws:
        `BadLocationException`